SoMFVec2i32(3)

NAME
SoMFVec2i32 - The SoMFVec2i32 class is a container for SbVec2i32 vectors.

SYNOPSIS

#include <Inventor/fields/SoMFVec2i32.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFVec2i32 & operator= (const SoMFVec2i32 &field)
virtual SbBool isSame (const SoField &field) const
const SbVec2i32 & operator[] (const int idx) const
const SbVec2i32 * getValues (const int start) const
int find (const SbVec2i32 &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbVec2i32 *newvals)
void set1Value (const int idx, const SbVec2i32 &value)
void setValue (const SbVec2i32 &value)
const SbVec2i32 & operator= (const SbVec2i32 &val)
SbBool operator== (const SoMFVec2i32 &field) const
SbBool operator!= (const SoMFVec2i32 &field) const
SbVec2i32 * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const SbVec2i32 *userdata)
void setValuesPointer (const int num, SbVec2i32 *userdata)
void setValuesPointer (const int num, const int32_t *userdata)
void setValuesPointer (const int num, int32_t *userdata)
void setValues (int start, int num, const int32_t xy[][2])
void set1Value (int idx, int32_t x, int32_t y)
void set1Value (int idx, const int32_t xy[2])
void setValue (int32_t x, int32_t y)
void setValue (const int32_t xy[2])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbVec2i32 * values

  Additional Inherited Members

Detailed Description

The SoMFVec2i32 class is a container for SbVec2i32 vectors. This field is used where nodes, engines or other field containers need to store an array of vectors with two elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SbVec2i32, SoSFVec2i32 Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoMFVec2i32::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFVec2i32::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFVec2i32::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFVec2i32::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFVec2i32::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFVec2i32::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFVec2i32::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbVec2i32 * SoMFVec2i32::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFVec2i32::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFVec2i32::setValues (int start, int numarg, const int32_t xy[][2])
Set num vector array elements from xy, starting at index start.

  void SoMFVec2i32::set1Value (int idx, int32_t x, int32_t y)
Set the vector at idx.

  void SoMFVec2i32::set1Value (int idx, const int32_t xy[2])
Set the vector at idx.

  void SoMFVec2i32::setValue (int32_t x, int32_t y)
Set this field to contain a single vector with the given element values.

  void SoMFVec2i32::setValue (const int32_t xy[2])
Set this field to contain a single vector with the given element values.

Author

Generated automatically by Doxygen for Coin from the source code.